dailongzhen
2016-05-24 02:34
采纳率: 60%
浏览 1.2k
已采纳

Android程序新建报错,求解答

最近在学习Android编程,按照教程新建了一个Android工程,发现完成后报出许多错误,但教程上新建完成后就可以运行,由于是新手,不懂到底是哪里出问题了,还请大牛指教,谢谢!!!
图片说明

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 邀请回答

6条回答 默认 最新

  • lbcab 2016-05-24 03:12
    已采纳

    将ActionBarAcitivity改为Acitivity, 并且将那个support.v7包删了

    点赞 打赏 评论
  • PBRAVE 2016-05-24 02:40

    看不清楚!这样的问题,我一般是这么干的:一:rebuild project 看是否能行!二:检查build gradle里的资源是否引入!三:完全复制教程试试!我也新手,刚动手写android……希望能帮到你!

    点赞 打赏 评论
  • dailongzhen 2016-05-24 03:11

    我似乎找到问题所在了,因为我下载的SDK只有Android4.0版本以上的,4.0以下的提示与Windows不兼容,无法下载安装,但我新建的项目支持最低版本为2.2的,将最低版本改为4.0就可以运行了。
    虽然这样,但是还是有许多疑问,既然4.0版本以下没有安装成功,为啥选项里会有4.0以下版本呢?新建时怎么不报错呢?新建成功后,报的这些错误提示好像也不是说版本不对,而是社么类型不对等等。。。
    我是刚开始学,难免问题有点多,不知道有没有大神能够帮我详细解答的,谢谢!!!

    点赞 打赏 评论
  • JulyAnRef 2016-05-24 03:24

    v7包的问题没有导入工程里

    点赞 打赏 评论
  • lqfang_ 2016-05-24 06:54

    将最低版本改为4.0就可以运行了,或者v7包导入工程里

    点赞 打赏 评论
  • lqfang_ 2016-05-24 07:13

    图片说明

    点赞 打赏 评论

相关推荐 更多相似问题